{
  "manifest_version": 3,
  "name": "RoMix Robux Tracker",
  "version": "1.0.0",
  "description": "إضافة RoMix لتتبع وقت اللعب وكسب الـ Robux مجاناً عن طريق لعب خرائط روبلوكس المفضلة لديك.",
  "permissions": [
    "storage",
    "alarms",
    "notifications"
  ],
  "host_permissions": [
    "http://localhost/*",
    "http://127.0.0.1/*",
    "https://*.pages.dev/*",
    "https://*.roblox.com/*"
  ],
  "background": {
    "service_worker": "background.js"
  },
  "content_scripts": [
    {
      "matches": [
        "http://localhost/*",
        "http://127.0.0.1/*",
        "https://*.pages.dev/*"
      ],
      "js": ["content-romix.js"],
      "run_at": "document_end"
    },
    {
      "matches": [
        "https://*.roblox.com/games/*"
      ],
      "js": ["content-roblox.js"],
      "run_at": "document_end"
    }
  ],
  "action": {
    "default_popup": "popup.html",
    "default_icon": "icon.png"
  },
  "icons": {
    "128": "icon.png"
  }
}
